<?php

namespace FM\Controller;

use Zeedhi\Framework\DTO\Request;
use FM\Service\Fm00004001TransferirTarefasService;
use FM\Traits\TResponse;

class Fm00004001TransferirTarefasController
{
    use TResponse;
    protected $Fm00004001TransferirTarefasService;

    public function __construct(Fm00004001TransferirTarefasService $Fm00004001TransferirTarefasService)
    {
        $this->Fm00004001TransferirTarefasService = $Fm00004001TransferirTarefasService;
    }

    public function getOperadorDestino(Request $request)
    {
        try {
            $data = $this->Fm00004001TransferirTarefasService->getOperadorDestino($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function transferirTarefas(Request $request)
    {
        try {
            $data = $this->Fm00004001TransferirTarefasService->transferirTarefas($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    /* public function listTask(DTO\Request $request, DTO\Response $response)
    {
        $params = $request->getParameters();
        $var = $this->Fm00004001TransferirTarefasService->listTask($params);
        $dtsVal = new DataSet("task", $var);
        $response->addDataSet($dtsVal);
    }

    public function infoTask(DTO\Request $request)
    {
        try {
            $data = $this->Fm00004001TransferirTarefasService->infoTask($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function tarefasOperador(DTO\Request $request)
    {
        try {
            $data = $this->Fm00004001TransferirTarefasService->tarefasOperador($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function transferTask(DTO\Request $request)
    {
        try {
            $data = $this->Fm00004001TransferirTarefasService->transferTask($request->getParameters());
            $this->sendResponse($data, 200);
        } catch (\Exception $ex) {
            $this->sendResponse(['error' => $ex->getMessage(), 'code' => $ex->getCode()], 500);
        }
    }

    public function getLocals(DTO\Request $request, DTO\Response $response)
    {

        $id = $request->getParameters();

        $locals = $this->Fm00004001TransferirTarefasService->getLocals($id);
        $dtsVal = new DataSet('locals', $locals);
        $response->addDataSet($dtsVal);
    }

    public function listChecklistAgend(DTO\Request $request, DTO\Response $response)
    {
        $params = $request->getParameters();
        $checklistAgend = $this->Fm00004001TransferirTarefasService->listChecklistAgend($params);
        $dtsVal = new DataSet('ChecklistAgends', $checklistAgend);
        $response->addDataSet($dtsVal);
    }

    public function innerJoinChecklist(DTO\Request $request, DTO\Response $response)
    {
        $params = $request->getParameters();
        $checklistAgend = $this->Fm00004001TransferirTarefasService->innerJoinChecklist($params);
        $dtsVal = new DataSet('ChecklistAgends', $checklistAgend);
        $response->addDataSet($dtsVal);
    }

    public function updateChecklistAgend(DTO\Request $request, DTO\Response $response)
    {
        $params = $request->getParameters();
        $changedAttributes = $this->Fm00004001TransferirTarefasService->updateChecklistAgend($params);
        $dtsVal = new DataSet('UpdatedValues', $changedAttributes);
        $response->addDataSet($dtsVal);
    } */
}
